module.exports = {
  extends: [
    '../rules/best-practices',
    '../rules/errors',
    '../rules/filenames',
    '../rules/node',
    '../rules/style',
    '../rules/variables',
    '../rules/es6',
    '../rules/imports',
    '../rules/prettier',
  ]
    .map(require.resolve)
    .concat(['prettier']),
  env: {
    browser: true,
    node: true,
    mocha: true,
  },
  globals: {
    expect: false,
    sinon: false,
  },
  parserOptions: {
    ecmaVersion: 2018,
    sourceType: 'module',
  },
  rules: {
    strict: 'error',
  },
  overrides: [
    {
      files: [
        '**/spec/**/*.js',
        '**/test/**/*.js',
        '**/*.spec.js',
        '**/*.test.js',
      ],
      globals: {
        expect: true,
        sinon: true,
        jest: true,
      },
    },
  ],
}
